Package org.zkoss.zk.ui.util

## Interface ThemeURIModifier

- All Known Implementing Classes:
    `SimpleThemeURIModifier`

      public interface ThemeURIModifier

  ThemeURIModifier is used to restrict developer's operation on the theme uri list.
  Since:
    9.6.0
  Author:
    leon

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `add​(int priority, java.lang.String uri)` | Inserts the specified CSS/WCS file uri at the specified position in the theme uri list according to the priority.
    `void` | `add​(int priority, StyleSheet uri)` | Inserts the specified CSS/WCS file uri at the specified position in the theme uri list according to the priority.
    `void` | `add​(java.lang.String uri)` | Appends the specified CSS/WCS file uri to the end of the theme uri list.
    `void` | `add​(StyleSheet uri)` | Appends the specified CSS/WCS file uri to the end of the theme uri list.
    `java.util.List<StyleSheet>` | `getURIs()` | Returns a read-only list of theme uri which present the current status of the CSS/WCS files list.

- - ### Method Detail

    - #### getURIs

          java.util.List<StyleSheet> getURIs()

      Returns a read-only list of theme uri which present the current status of the CSS/WCS files list.
      Returns:
        a read-only list of StyleSheet

    - #### add

          void add​(java.lang.String uri)

      Appends the specified CSS/WCS file uri to the end of the theme uri list.
      Parameters:
        `uri` - the specified CSS/WCS file uri

    - #### add

          void add​(int priority,
                   java.lang.String uri)

      Inserts the specified CSS/WCS file uri at the specified position in the theme uri list according to the priority.
      Parameters:
        `priority` - the basis used to determine the insertion position
        `uri` - the specified CSS/WCS file uri

    - #### add

          void add​(StyleSheet uri)

      Appends the specified CSS/WCS file uri to the end of the theme uri list.
      Parameters:
        `uri` - the specified CSS/WCS file uri

    - #### add

          void add​(int priority,
                   StyleSheet uri)

      Inserts the specified CSS/WCS file uri at the specified position in the theme uri list according to the priority.
      Parameters:
        `priority` - the basis used to determine the insertion position
        `uri` - the specified CSS/WCS file uri